Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	A project allowing GTK to use Qt widget styles
Name: 	 	gtk-qt-engine 
Group:	 	User Interface/Desktops
Version: 	1.1 
Release: 	1

License: 	GPLv2+
URL: 	 	http://gtk-qt.ecs.soton.ac.uk/
%if "%{?svn:1}" == "1"
Source0: 	gtk-qt-engine-%{svn}.tar.bz2
Source1: 	gtk-qt-engine-svn.sh
%else
Source0: 	http://gtk-qt.ecs.soton.ac.uk/files/%{version}/gtk-qt-engine-%{version}.tar.bz2 
%endif
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

BuildRequires: 	cmake
BuildRequires: 	gettext
BuildRequires: 	gtk2+-devel
BuildRequires: 	kdelibs4-devel
BuildRequires: 	libbonoboui-devel
BuildRequires: 	libpng-devel

%description
The GTK-Qt Theme Engine is a project allowing GTK to use Qt widget styles.

It behaves like a normal GTK theme engine, but calls functions from Qt 
instead of doing the drawing itself. 


%prep
%setup -q  -n %{name}


%build

%{cmake_kde4} .

make %{?_smp_mflags} VERBOSE=1


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# locale's
%find_lang gtkqtengine 
# \ || touch gtkqtengine.lang

%clean
rm -rf $RPM_BUILD_ROOT


%files -f gtkqtengine.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_datadir}/themes/Qt4/
%{_datadir}/applications/kde4/kcmgtk4.desktop
# FIXME: put into themed dir, like hicolor/48x48
%{_datadir}/icons/kcmgtk.png
%{_libdir}/gtk-2.0/*/engines/*
%{_kde4_libdir}/kde4/kcm_gtk4.so


%changelog
* Wed Jun 18 2008 Christian Metzen <metzench@ccux-linux.de> 1.1-1
- Version update
* Fri Jul 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.7-1
- Version update
* Fri Jan 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.5-1
- Fixed Start Menu Appearance
* Fri Jan 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.5-1
- Initial Release